Agda-2.3.0.1: A dependently typed functional programming language and proof assistant

Safe Haskell | Safe-Infered

Agda.Syntax.Strict

Synopsis

- class Strict a where
  - force :: a -> Int
- ($!!) :: Strict a => (a -> b) -> a -> b
- strict :: Strict a => a -> a

# Documentation

class Strict a where

`force` is the recursive `const 0` function, to force Haskell to evaluate.

Methods

force :: a -> Int

Instances

Strict Pragma |
Strict Declaration |
Strict Expr |
Strict Token |
Strict ClauseBody |
Strict LevelAtom |
Strict PlusLevel |
Strict Level |
Strict Sort |
Strict Type |
Strict Term |
Strict NiceDeclaration |
Strict a => Strict [a] |
Strict a => Strict (Maybe a) |
Strict a => Strict (Arg a) |
Strict a => Strict (Abs a) |
(Strict a, Strict b) => Strict (a, b) |

($!!) :: Strict a => (a -> b) -> a -> b

strict :: Strict a => a -> a